Clover coverage report - PMD - 3.7 Coverage timestamp: Wed May 31 2006 09:25:59 EDT FRAMES NO FRAMES |
file stats: | LOC: | 62 |  | Methods: | 8
| NCLOC: | 29 |  | Classes: | 1
Source file | Conditionals | Statements | Methods | TOTAL
ASTJspDirectiveAttribute.java | - | 75% | 75% | 75% |

1 |  | /* Generated By:JJTree: Do not edit this line. ASTJspDirectiveAttribute.java */
2 |  |
3 |  | package net.sourceforge.pmd.jsp.ast;
4 |  |
5 |  | public class ASTJspDirectiveAttribute extends SimpleNode {
6 |  |
7 |  | /* BEGIN CUSTOM CODE */
8 |  | private String name;
9 |  | private String value;
10 |  |
11 |  | /**
12 |  | * @return Returns the name.
13 |  | */
14 | 14 | public String getName() {
15 | 14 | return name;
16 |  | }
17 |  |
18 |  | /**
19 |  | * @param name The name to set.
20 |  | */
21 | 12 | public void setName(String name) {
22 | 12 | this.name = name;
23 |  | }
24 |  |
25 |  | /* (non-Javadoc)
26 |  | * @see com.applicationengineers.pmd4jsp.ast.SimpleNode#toString(java.lang.String)
27 |  | */
28 | 0 | public String toString(String prefix) {
29 | 0 | return super.toString(prefix) + " name=[" + name + "] value=[" + value + "]";
30 |  | }
31 |  |
32 |  | /**
33 |  | * @return Returns the value.
34 |  | */
35 | 12 | public String getValue() {
36 | 12 | return value;
37 |  | }
38 |  |
39 |  | /**
40 |  | * @param value The value to set.
41 |  | */
42 | 12 | public void setValue(String value) {
43 | 12 | this.value = value;
44 |  | }
45 |  | /* END CUSTOM CODE */
46 |  |
47 | 0 | public ASTJspDirectiveAttribute(int id) {
48 | 0 | super(id);
49 |  | }
50 |  |
51 | 12 | public ASTJspDirectiveAttribute(JspParser p, int id) {
52 | 12 | super(p, id);
53 |  | }
54 |  |
55 |  |
56 |  | /**
57 |  | * Accept the visitor. *
58 |  | */
59 | 10 | public Object jjtAccept(JspParserVisitor visitor, Object data) {
60 | 10 | return visitor.visit(this, data);
61 |  | }
62 |  | }